Bug 132934 - NetworkManager crashes immediately
NetworkManager crashes immediately
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-09-19 23:04 EDT by Warren Togami
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 09:42:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2004-09-19 23:04:23 EDT
Description of problem:
NetworkManager-0.2-3 crashes immediately when run with no arguments.
gdb backtrace, strace and ltrace below.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -151658368 (LWP 5132)]
hal_shutdown (ctx=0x0) at libhal.c:634
634             if (!ctx->is_initialized)
(gdb) bt
#0  hal_shutdown (ctx=0x0) at libhal.c:634
#1  0x080536c4 in ?? ()
#2  0x00000000 in ?? ()
#3  0x08058024 in _IO_stdin_used ()
#4  0x00000018 in ?? ()
#5  0x08059b60 in ?? ()
#6  0xfef17028 in ?? ()
#7  0x00000000 in ?? ()
#8  0x00000000 in ?? ()
#9  0x00000000 in ?? ()
#10 0x0076e318 in initial () from /lib/tls/libc.so.6
#11 0x0805995c in ?? ()
#12 0xfef17018 in ?? ()
#13 0x080499ad in _init ()
#14 0x00661ac3 in __libc_start_main () from /lib/tls/libc.so.6
#15 0x0804a091 in ?? ()


[root@ibmlaptop tmp]# strace NetworkManager
execve("/usr/bin/NetworkManager", ["NetworkManager"], [/* 25 vars */]) = 0
uname({sys="Linux", node="ibmlaptop", ...}) = 0
brk(0)                                  = 0x9cc8000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or
directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=81492, ...}) = 0
old_mmap(NULL, 81492, PROT_READ, MAP_PRIVATE, 3, 0) = 0xf6fec000
close(3)                                = 0
open("/usr/lib/libdbus-glib-1.so.0", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360a\244"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=45284, ...}) = 0
old_mmap(0xa42000, 46728, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xa42000
old_mmap(0xa4d000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xa000) = 0xa4d000
close(3)                                = 0
open("/usr/lib/libhal.so.0", O_RDONLY)  = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300\310"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=23768, ...}) = 0
old_mmap(0x9bb000, 25288, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x9bb000
old_mmap(0x9c1000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x5000) = 0x9c1000
close(3)                                = 0
open("/usr/lib/libdbus-1.so.0", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340w\245"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=377452, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xf6feb000
old_mmap(0xa52000, 375152, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xa52000
old_mmap(0xaad000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x5b000) = 0xaad000
close(3)                                = 0
open("/usr/lib/libgthread-2.0.so.0", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0P\361\336"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=15440, ...}) = 0
old_mmap(0xdee000, 12884, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xdee000
old_mmap(0xdf1000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3000) = 0xdf1000
close(3)                                = 0
open("/usr/lib/libglib-2.0.so.0", O_RDONLY) = 3
read(3,
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000\27\235"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=505200, ...}) = 0
old_mmap(0x9c5000, 503692, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x9c5000
old_mmap(0xa3f000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x7a000) = 0xa3f000
close(3)                                = 0
open("/lib/libiw.so.27", O_RDONLY)      = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0004V\266"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=21728, ...}) = 0
old_mmap(0xb64000, 23228, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb64000
old_mmap(0xb69000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x4000) = 0xb69000
close(3)                                = 0
open("/usr/lib/libgcrypt.so.11", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@\337\250"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=300052, ...}) = 0
old_mmap(0xa8a000, 302188, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xf6fa1000
old_mmap(0xf6fe6000, 20480, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x44000) = 0xf6fe6000
close(3)                                = 0
open("/usr/lib/libgpg-error.so.0", O_RDONLY) = 3
read(3,
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\0\266\233"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=11716, ...}) = 0
old_mmap(0x9bb000, 13304, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xf6f9d000
old_mmap(0xf6fa0000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0xf6fa0000
close(3)                                = 0
open("/lib/tls/libpthread.so.0", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@\327\210"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=107892, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xf6f9c000
old_mmap(0x889000, 70128, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x889000
old_mmap(0x897000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xd000) = 0x897000
old_mmap(0x899000, 4592, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x899000
close(3)                                = 0
open("/lib/tls/libc.so.6", O_RDONLY)    = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260\33"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1491796, ...}) = 0
old_mmap(0x64d000, 1195116, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x64d000
old_mmap(0x76b000, 16384, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x11d000) = 0x76b000
old_mmap(0x76f000, 7276, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x76f000
close(3)                                = 0
open("/usr/lib/libgobject-2.0.so.0", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0 \312\263"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=239924, ...}) = 0
old_mmap(0xb36000, 242816, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xf6f60000
old_mmap(0xf6f9a000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x39000) = 0xf6f9a000
old_mmap(0xf6f9b000, 1152, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf6f9b000
close(3)                                = 0
open("/lib/tls/libm.so.6", O_RDONLY)    = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\0cw\000"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=214516, ...}) = 0
old_mmap(0x773000, 139424, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x773000
old_mmap(0x794000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x20000) = 0x794000
close(3)                                = 0
open("/lib/libnsl.so.1", O_RDONLY)      = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0pZN\007"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=95916, ...}) = 0
old_mmap(0x74e2000, 88288, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x74e2000
old_mmap(0x74f4000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x11000) = 0x74f4000
old_mmap(0x74f6000, 6368, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x74f6000
close(3)                                = 0
open("/usr/lib/libexpat.so.0", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\320\277"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=127592, ...}) = 0
old_mmap(0x92a000, 124868, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x92a000
old_mmap(0x947000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1d000) = 0x947000
close(3)                                = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xf6f5f000
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xf6f5e000
mprotect(0x74f4000, 4096, PROT_READ)    = 0
mprotect(0x794000, 4096, PROT_READ)     = 0
mprotect(0x76b000, 8192, PROT_READ)     = 0
mprotect(0x897000, 4096, PROT_READ)     = 0
set_thread_area({entry_number:-1 -> 6, base_addr:0xf6f5e080,
limit:1048575, seg_32bit:1, contents:0, read_exec_only:0,
limit_in_pages:1, seg_not_present:0, useable:1}) = 0
munmap(0xf6fec000, 81492)               = 0
set_tid_address(0xf6f5e0c8)             = 5175
rt_sigaction(SIGRTMIN, {0x88d3a0, [], SA_RESTORER|SA_SIGINFO,
0x894520}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [RTMIN], NULL, 8) = 0
getrlimit(RLIMIT_STACK, {rlim_cur=10240*1024, rlim_max=RLIM_INFINITY}) = 0
_sysctl({{CTL_KERN, KERN_VERSION}, 2, 0xfee59308, 31, (nil), 0}) = 0
brk(0)                                  = 0x9cc8000
brk(0x9ce9000)                          = 0x9ce9000
sched_getparam(5175, { 0 })             = 0
sched_getscheduler(5175)                = 0 (SCHED_OTHER)
sched_get_priority_min(SCHED_OTHER)     = 0
sched_get_priority_max(SCHED_OTHER)     = 0
sched_get_priority_max(SCHED_OTHER)     = 0
open("/usr/lib/charset.alias", O_RDONLY|O_LARGEFILE) = -1 ENOENT (No
such file or directory)
time([1095648941])                      = 1095648941
open("/etc/localtime", O_RDONLY)        = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=130, ...}) = 0
fstat64(3, {st_mode=S_IFREG|0644, st_size=130, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xf6fff000
read(3, "TZif\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\5\0\0\0\5\0"...,
4096) = 130
close(3)                                = 0
munmap(0xf6fff000, 4096)                = 0
open("/etc/localtime", O_RDONLY)        = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=130, ...}) = 0
close(3)                                = 0
open("/etc/localtime", O_RDONLY)        = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=130, ...}) = 0
close(3)                                = 0
open("/etc/localtime", O_RDONLY)        = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=130, ...}) = 0
close(3)                                = 0
rt_sigaction(SIGPIPE, {0x70cb30, [], SA_RESTORER, 0x6745a8},
{SIG_DFL}, 8) = 0
socket(PF_FILE, SOCK_DGRAM, 0)          = 3
fcntl64(3, F_SETFD, FD_CLOEXEC)         = 0
connect(3, {sa_family=AF_FILE, path="/dev/log"}, 16) = 0
send(3, "<29>Sep 19 16:55:41 NetworkManag"..., 47, 0) = 47
rt_sigaction(SIGPIPE, {SIG_DFL}, NULL, 8) = 0
pipe([4, 5])                            = 0
clone(child_stack=0,
flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0xf6f5e0c8) = 5176
close(5)                                = 0
read(4, "", 8)                          = 0
close(4)                                = 0
waitpid(5176, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 5176
--- SIGCHLD (Child exited) @ 0 (0) ---
socket(PF_FILE, SOCK_STREAM, 0)         = 4
connect(4, {sa_family=AF_FILE,
path="/var/run/dbus/system_bus_socket"}, 110) = 0
fcntl64(4, F_GETFL)                     = 0x2 (flags O_RDWR)
fcntl64(4, F_SETFL, O_RDWR|O_NONBLOCK)  = 0
fcntl64(4, F_GETFD)                     = 0
fcntl64(4, F_SETFD, FD_CLOEXEC)         = 0
getuid32()                              = 0
rt_sigaction(SIGPIPE, {SIG_IGN}, {SIG_DFL}, 8) = 0
poll([{fd=4, events=POLLOUT, revents=POLLOUT}], 1, -1) = 1
write(4, "\0", 1)                       = 1
write(4, "AUTH EXTERNAL 30\r\n", 18)    = 18
poll([{fd=4, events=POLLIN, revents=POLLIN}], 1, -1) = 1
read(4, "OK\r\n", 2048)                 = 4
poll([{fd=4, events=POLLOUT, revents=POLLOUT}], 1, -1) = 1
write(4, "BEGIN\r\n", 7)                = 7
writev(4,
[{"l\1\0\0\200\0\0\0\0\0\0\0\1\0\0\0\1o\0\0\25\0\0\0/org/"..., 128},
{"", 0}], 2) = 128
gettimeofday({1095648942, 390350}, NULL) = 0
poll([{fd=4, events=POLLIN, revents=POLLIN}], 1, 15000) = 1
read(4, "l\2\1\0P\0\0\0\16\0\0\0\1\0\0\0\5u\0\0\1\0\0\0\10s\0\0"...,
2048) = 260
read(4, 0x9cce848, 2048)                = -1 EAGAIN (Resource
temporarily unavailable)
pipe([5, 6])                            = 0
poll([{fd=4, events=POLLIN|POLLOUT, revents=POLLOUT}], 1, -1) = 1
writev(4,
[{"l\1\0\0\200\0\0\0\234\0\0\0\2\0\0\0\1o\0\0\25\0\0\0/or"..., 128},
{"s\0\0\0\223\0\0\0type=\'signal\',interface="..., 156}], 2) = 284
gettimeofday({1095648942, 458956}, NULL) = 0
poll([{fd=4, events=POLLIN, revents=POLLIN}], 1, 15000) = 1
read(4, "l\2\1\0P\0\0\0\0\0\0\0\3\0\0\0\10s\0\0\0\0\0\0\0\5u\0\2"...,
2048) = 80
read(4, 0x9cd0058, 2048)                = -1 EAGAIN (Resource
temporarily unavailable)
poll([{fd=4, events=POLLIN|POLLOUT, revents=POLLOUT}], 1, -1) = 1
writev(4,
[{"l\1\0\0\200\0\0\0U\0\0\0\3\0\0\0\1o\0\0\25\0\0\0/org/f"..., 128},
{"s\0\0\0L\0\0\0type=\'signal\',interface="..., 85}], 2) = 213
gettimeofday({1095648942, 521647}, NULL) = 0
poll([{fd=4, events=POLLIN, revents=POLLIN}], 1, 15000) = 1
read(4, "l\2\1\0P\0\0\0\0\0\0\0\4\0\0\0\10s\0\0\0\0\0\0\0\5u\0\3"...,
2048) = 80
read(4, 0x9cce848, 2048)                = -1 EAGAIN (Resource
temporarily unavailable)
poll([{fd=4, events=POLLIN|POLLOUT, revents=POLLOUT}], 1, -1) = 1
writev(4,
[{"l\1\0\0\210\0\0\0,\0\0\0\4\0\0\0\1o\0\0\25\0\0\0/org/f"..., 136},
{"s\0\0\0\36\0\0\0org.freedesktop.NetworkM"..., 44}], 2) = 180
gettimeofday({1095648942, 599114}, NULL) = 0
poll([{fd=4, events=POLLIN, revents=POLLIN}], 1, 15000) = 1
read(4, "l\3\1\0\200\0\0\0x\0\0\0\5\0\0\0\4s\0\0\'\0\0\0org.fre"...,
2048) = 248
close(4)                                = 0
gettimeofday({1095648942, 684415}, NULL) = 0
time([1095648942])                      = 1095648942
open("/etc/localtime", O_RDONLY)        = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=130, ...}) = 0
close(4)                                = 0
open("/etc/localtime", O_RDONLY)        = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=130, ...}) = 0
close(4)                                = 0
open("/etc/localtime", O_RDONLY)        = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=130, ...}) = 0
close(4)                                = 0
rt_sigaction(SIGPIPE, {0x70cb30, [], SA_RESTORER, 0x6745a8},
{SIG_IGN}, 8) = 0
send(3, "<27>Sep 19 16:55:42 NetworkManag"..., 157, 0) = 157
rt_sigaction(SIGPIPE, {SIG_IGN}, NULL, 8) = 0
time([1095648942])                      = 1095648942
open("/etc/localtime", O_RDONLY)        = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=130, ...}) = 0
close(4)                                = 0
open("/etc/localtime", O_RDONLY)        = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=130, ...}) = 0
close(4)                                = 0
open("/etc/localtime", O_RDONLY)        = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=130, ...}) = 0
close(4)                                = 0
rt_sigaction(SIGPIPE, {0x70cb30, [], SA_RESTORER, 0x6745a8},
{SIG_IGN}, 8) = 0
send(3, "<26>Sep 19 16:55:42 NetworkManag"..., 66, 0) = 66
rt_sigaction(SIGPIPE, {SIG_IGN}, NULL, 8) = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++



[root@ibmlaptop tmp]# ltrace NetworkManager
__libc_start_main(0x80531ac, 1, 0xfeecef84, 0x8054bc0, 0x8054c14
<unfinished ...>
getopt_long(1, 0xfeecef84, "", 0x8059b60, 0xfeeceee8)                
       = -1
g_type_init(1, 0xfeecef84, 0x80555b1, 0x8059b60, 0xfeeceee8)         
       = 0x8059bb8
g_thread_init(0, 0xfeecef84, 0x80555b1, 0x8059b60, 0xfeeceee8)       
       = 0x8c484d8
openlog("NetworkManager", 2, 24)                                     
       = <void>
syslog(5, "starting...")                                             
       = <void>
g_shell_parse_argv(0x80587c6, 0xfeecee80, 0xfeecee84, 0, 0)          
       = 1
g_spawn_sync(0x805564c, 0x8c4a700, 0, 0, 0 <unfinished ...>
--- SIGCHLD (Child exited) ---
<... g_spawn_sync resumed> )                                         
       = 1
g_strfreev(0x8c4a700, 0x8c4a700, 0, 0, 0)                            
       = 0x76e7a8
g_malloc0(60, 0x8057885, 24, 0x8059b60, 0xfeeceee8)                  
       = 0x8c4a758
g_malloc0(16, 0, 0xfeecef84, 0, 0xfeeceef8)                          
       = 0x8c484e8
g_malloc0(16, 0, 0xfeecef84, 0, 0xfeeceef8)                          
       = 0x8c48520
dbus_connection_set_change_sigpipe(1, 16, 0x8c4a840, 0x88f8d8,
0x804e5b4)    = 1
dbus_error_init(0xfeecee70, 16, 0x8c4a840, 0x88f8d8, 0x804e5b4)      
       = 1
dbus_bus_get(1, 0xfeecee70, 0x8c4a840, 0x88f8d8, 0x804e5b4)          
       = 0x8c48ae8
dbus_error_is_set(0xfeecee70, 0xfeecee70, 0x8c4a840, 0x88f8d8,
0x804e5b4)    = 0
dbus_connection_set_exit_on_disconnect(0x8c48ae8, 0, 0x8c4a840,
0x88f8d8, 0x804e5b4) = 1
dbus_connection_setup_with_g_main(0x8c48ae8, 0, 0x8c4a840, 0x88f8d8,
0x804e5b4) = 1
dbus_connection_register_object_path(0x8c48ae8, 0x8055c08, 0xfeecee50,
0x8c4a758, 0x804e5b4) = 1
dbus_connection_register_fallback(0x8c48ae8, 0x8055b80, 0xfeecee30,
0x8c4a758, 0x804e5b4) = 1
dbus_connection_add_filter(0x8c48ae8, 0x804ce5e, 0x8c4a758, 0,
0x804e5b4)    = 1
dbus_bus_add_match(0x8c48ae8, 0x8056648, 0xfeecee70, 0, 0x804e5b4)   
       = 0x76e7e8
dbus_error_free(0xfeecee70, 0x8056648, 0xfeecee70, 0, 0x804e5b4)     
       = 1
dbus_bus_add_match(0x8c48ae8, 0x80566dc, 0xfeecee70, 0, 0x804e5b4)   
       = 0x76e7e8
dbus_error_free(0xfeecee70, 0x80566dc, 0xfeecee70, 0, 0x804e5b4)     
       = 1
dbus_bus_acquire_service(0x8c48ae8, 0x8055be8, 0, 0xfeecee70,
0x804e5b4)     = -1
dbus_error_is_set(0xfeecee70, 0x8055be8, 0, 0xfeecee70, 0x804e5b4)   
       = 1
syslog(3, "nm_dbus_init() could not acquire"...)                     
       = <void>
dbus_error_free(0xfeecee70, 0x805672c, 0x8c4c920, 0xfeecee70,
0x804e5b4)     = 1
syslog(2, "nm_dbus_init() failed, exiting")                          
       = <void>
hal_shutdown(0, 0x8058024, 24, 0x8059b60, 0xfeeceee8 <unfinished ...>
--- SIGSEGV (Segmentation fault) ---
+++ killed by SIGSEGV +++
Comment 1 Dan Williams 2004-09-20 00:06:01 EDT
Ok, crash should not happen, but the output indicates that NM could
not acquire the system bus from DBUS.  You need to make sure you
restart dbus after installation so that it recognizes the new security
policy for NM.  Perhaps that should happen in the specfile,
implications of that are unclear and I need to check up on it.
Comment 2 Warren Togami 2004-09-20 00:41:58 EDT
Security policy?  What if I'm running with selinux disabled?
Comment 3 Dan Williams 2004-09-20 08:07:03 EDT
no, not SELinux, but DBus.  DBus has a security system where policy
files are placed in /etc/dbus-1/system.d and specify
who/what/when/where can connect to a service, send it data, etc.  It
seems that dbus needs to be restarted to reread these files.  DBus is
fairly security paranoid.
Comment 4 John (J5) Palmieri 2004-10-07 14:19:04 EDT
Is this still happening?  If so please attach the dbus security profile:

/etc/dbus-1/system.d/NetworkManager.conf
Comment 5 Dan Williams 2005-03-17 09:42:07 EST
closed due to inactivity, its probably fixed already anyway

Note You need to log in before you can comment on or make changes to this bug.